# class KOpenWithDlg | "Open with" dialog box. More...
Definition | `#include <kopenwith.h>`
Inherits | QDialog (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KOpenWithDlg ( const KURL::List& urls, QWidget *parent = 0L )
- KOpenWithDlg ( const KURL::List& urls, const QString& text, const QString& value, QWidget *parent = 0L )
- KOpenWithDlg ( const QString& serviceType, const QString& value, QWidget *parent = 0L )
- ~KOpenWithDlg ()
- QString text ()
- KService::Ptr service ()

#### Public Slots

- void slotClear ()
- void slotSelected ( const QString&_name, const QString& _exec )
- void slotHighlighted ( const QString& _name, const QString& _exec )
- void slotTextChanged ()
- void slotTerminalToggled (bool)
- void slotDbClick ()
- void slotOK ()

#### Protected Methods

- void setServiceType ( const KURL::List& _urls )
- void init ( const QString& text, const QString& value )

#### Protected Slots

- virtual void accept ()

#### Protected Members

- KURLRequester * edit
- QString m_command
- KApplicationTree* m_pTree
- QLabel *label
- QString qName
- QString qServiceType
- bool m_terminaldirty
- QCheckBox *terminal
- QCheckBox *remember
- QPushButton *ok
- QPushButton *clear
- QPushButton *cancel
- KService::Ptr m_pService
- Forward KOpenWithDlgPrivate
- KOpenWithDlgPrivate *d

## Detailed Description

"Open with" dialog box. Used automatically by KRun, and used by libkonq.

KOpenWithDlg ( const KURL::List& urls, QWidget *parent = 0L ) | ### KOpenWithDlg

Create a dialog that asks for a application to open a given URL(s) with.

Parameters:

urls | the URLs that should be opened. The list can be empty, if the dialog is used to choose an application but not for some particular URLs.
parent | parent widget

KOpenWithDlg ( const KURL::List& urls, const QString& text, const QString& value, QWidget *parent = 0L ) | ### KOpenWithDlg

Create a dialog that asks for a application to open a given URL(s) with.

Parameters:

urls | is the URL that should be opened
text | appears as a label on top of the entry box.
value | is the initial value of the line
parent | parent widget

KOpenWithDlg ( const QString& serviceType, const QString& value, QWidget *parent = 0L ) | ### KOpenWithDlg

Create a dialog to select a service for a given service type. Note that this dialog doesn't apply to URLs.

Parameters:

serviceType | the service type we want to choose an application for.
value | is the initial value of the line
parent | parent widget

~KOpenWithDlg () | ### ~KOpenWithDlg

Destructor

QString text () | ### text

Returns: the text the user entered

KService::Ptr service () | ### service

Returns: the chosen service in the application tree Can be null, if the user typed some text and didn't select a service.

void slotClear () | ### slotClear

[slot]

The slot for clearing the edit widget

void slotSelected ( const QString&_name, const QString& _exec ) | ### slotSelected

[slot]

void slotHighlighted ( const QString& _name, const QString& _exec ) | ### slotHighlighted

[slot]

void slotTextChanged () | ### slotTextChanged

[slot]

void slotTerminalToggled (bool) | ### slotTerminalToggled

[slot]

void slotDbClick () | ### slotDbClick

[slot]

void slotOK () | ### slotOK

[slot]

void accept () | ### accept

[protected slots virtual slot]

Reimplemented from QDialog::accept() to save history of the combobox

Reimplemented from QDialog.

void setServiceType ( const KURL::List& _urls ) | ### setServiceType

[protected]

Determine service type from URLs

void init ( const QString& text, const QString& value ) | ### init

[protected]

Create a dialog that asks for a application to open a given URL(s) with.

Parameters:

text | appears as a label on top of the entry box.
value | is the initial value of the line

KURLRequester * edit | ### edit

[protected]

QString m_command | ### m_command

[protected]

KApplicationTree* m_pTree | ### m_pTree

[protected]

QLabel * label | ### label

[protected]

QString qName | ### qName

[protected]

QString qServiceType | ### qServiceType

[protected]

bool m_terminaldirty | ### m_terminaldirty

[protected]

QCheckBox * terminal | ### terminal

[protected]

QCheckBox * remember | ### remember

[protected]

QPushButton * ok | ### ok

[protected]

QPushButton * clear | ### clear

[protected]

QPushButton * cancel | ### cancel

[protected]

KService::Ptr m_pService | ### m_pService

[protected]

KOpenWithDlgPrivate * d | ### d

[protected]

- Author: David Faure <faure@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.